
.gallery-main {
    position: absolute;
    top: 40px;
    bottom: 35px;
    left: 0;
    width: 70%;
    @media (max-width: 1024px) {
        width: 100%;
    }
    &__slide {
        position: absolute;
        opacity: 0;
        visibility: hidden;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        visibility: visible;
        opacity: 1;
        transition: all .5s ease;
        @media (max-width: 580px) {
            display: none;
        }
        .gallery-main__img-box {
            &._active--1,
            &._active--2,
            &._active--3 {
                animation-name: show;
                animation-duration: 5s;
                animation-timing-function: linear;
                animation-delay: 0s; 
            }
            &:nth-child(3n+1) {
                top: 40px;
                left: 0;
                @media (max-width: 1024px) {
                    top: 44px;
                    left: auto;
                    right: 0;
                }
            }
            &:nth-child(3n+2) { 
                top: 50%;
                right: 0;
                transform: translateY(-50%);
                @media (max-width: 1024px) {
                    transform: translateY(0%);
                    top: 140px;
                    right: auto;
                    left: 0;
                }
            }
            &:nth-child(3n+3) { 
                bottom: 0;
                left: 100px;
                @media (max-width: 1024px) {
                    left: 20px;
                }
            }
            &:nth-child(3n+4) {
                top: 60px;
                left: 20px;
                @media (max-width: 1024px) {
                    top: 44px;
                    left: auto;
                    right: 0;
                }
            }
            &:nth-child(3n+5) { 
                top: 50%;
                right: 35px;
                transform: translateY(-40%);
                @media (max-width: 1024px) {
                    transform: translateY(0%);
                    top: 140px;
                    right: auto;
                    left: 0;
                }
            }
            &:nth-child(3n+6) { 
                bottom: 0;
                left: 0;
                @media (max-width: 1024px) {
                    left: 20px;
                }
            }
        }
    }
    &__img {
        @media (max-width: 1124px) {
            max-width: 200px;
            max-height: 1670px;
        }
        @media (max-height: 767px) {
            max-width: 200px;
            max-height: 1670px;
        }
    }
    &__img-box {
        position: absolute;
        opacity: 0;     
    }
}
